Subject: bug#6226: Please add a customizable option to NOT call tramp for every sudo command

From: Michael Albinus <[email-masked]>
Date: Sun, 23 May 2010 00:03:51 +0200

Ken Hori <[email-masked]> writes:

> Yes, I am aware of that. Thank you. And I'm also aware
> I can just remove eshell-unix from eshell-modules-list.
>
> Inside em-unix.el are
>
>   eshell/agrep
>   eshell/cat
>   eshell/cp
>   eshell/diff
>   eshell/du
>   eshell/egrep
>   eshell/fgrep
>   eshell/glimpse
>   eshell/grep
>   eshell/info
>   eshell/ln
>   eshell/locate
>   eshell/make
>   eshell/man
>   eshell/mkdir
>   eshell/mv
>   eshell/occur
>   eshell/rm
>   eshell/rmdir
>   eshell/su
>   eshell/sudo
>   eshell/time
>   eshell/whoami
>
> Some are beneficial, but many command wrappers are not -- at
> least to me.
>
> I think it's a good idea to give the users freedom
> of choosing which eshell commands to opt-in or out.

(eval-after-load "em-unix"
  (progn
    (unintern "eshell/su")
    (unintern "eshell/sudo")))

Best regards, Michael.